# Setting


## Fields

| Field                   | Type                    | Required                | Description             | Example                 |
| ----------------------- | ----------------------- | ----------------------- | ----------------------- | ----------------------- |
| `Id`                    | *string*                | :heavy_minus_sign:      | N/A                     | EnableDatabaseTrace     |
| `Label`                 | *string*                | :heavy_minus_sign:      | N/A                     |                         |
| `Summary`               | *string*                | :heavy_minus_sign:      | N/A                     |                         |
| `Type`                  | *string*                | :heavy_minus_sign:      | N/A                     | bool                    |
| `Default`               | *bool*                  | :heavy_minus_sign:      | N/A                     | false                   |
| `Value`                 | *bool*                  | :heavy_minus_sign:      | N/A                     | false                   |
| `Hidden`                | *bool*                  | :heavy_minus_sign:      | N/A                     | true                    |
| `Advanced`              | *bool*                  | :heavy_minus_sign:      | N/A                     | false                   |
| `Group`                 | *string*                | :heavy_minus_sign:      | N/A                     |                         |
| `EnumValues`            | *string*                | :heavy_minus_sign:      | N/A                     | 1:admin only\|2:everyone |